Package ch.qos.logback.core.joran.action

## Class DefinePropertyAction

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.action.Action
    - - ch.qos.logback.core.joran.action.DefinePropertyAction

All Implemented Interfaces:
  `ContextAware`

    public class DefinePropertyAction
    extends Action

Instantiate class for define property value. Get future property name and property definer class from attributes. Some property definer properties could be used. After defining put new property to context.

Author:
  Aleksey Didik

### Field Summary

### Fields inherited from class ch.qos.logback.core.joran.action.Action

`ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`DefinePropertyAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `begin​(InterpretationContext ec, java.lang.String localName, org.xml.sax.Attributes attributes)` Called when the parser encounters an element matching a `Pattern`.
`void` `end​(InterpretationContext ec, java.lang.String name)` Now property definer is initialized by all properties and we can put property value to context

### Methods inherited from class ch.qos.logback.core.joran.action.Action

`body, getColumnNumber, getLineColStr, getLineNumber, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefinePropertyAction

    public DefinePropertyAction()

### Method Detail

#### begin

    public void begin​(InterpretationContext ec,
                      java.lang.String localName,
                      org.xml.sax.Attributes attributes)
               throws ActionException

Description copied from class: `Action`
Called when the parser encounters an element matching a `Pattern`.

Specified by:
  `begin` in class `Action`
Throws:
  `ActionException`

#### end

    public void end​(InterpretationContext ec,
                    java.lang.String name)

Now property definer is initialized by all properties and we can put property value to context

Specified by:
  `end` in class `Action`